classification
Title: Incorrect EBNF rule of keywords_arguments
Type: Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, martin.panter, python-dev, woo yoo
Priority: normal Keywords:

Created on 2016-12-13 02:22 by woo yoo, last changed 2016-12-24 10:55 by martin.panter. This issue is now closed.

Messages (3)
msg283067 - (view) Author: woo yoo (woo yoo) Date: 2016-12-13 02:22
This is the documented rule, which lacks a comma within the last line.
keywords_arguments   ::=  (keyword_item | "**" expression)
                          ("," keyword_item | "**" expression)*
The correct form should be:
keywords_arguments   ::=  (keyword_item | "**" expression)
                          ("," keyword_item |",""**" expression)*

The original documentation is https://docs.python.org/3/reference/expressions.html#calls
msg283935 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-12-24 10:28
New changeset 3f94e3c7dcc5 by Martin Panter in branch '3.5':
Issue #28954: Add missing comma to keyword argument syntax
https://hg.python.org/cpython/rev/3f94e3c7dcc5

New changeset ef53ef8e09e5 by Martin Panter in branch '3.6':
Issue #28954: Merge keyword argument syntax from 3.5
https://hg.python.org/cpython/rev/ef53ef8e09e5

New changeset 8e311f109b22 by Martin Panter in branch 'default':
Issue #28954: Merge keyword argument syntax from 3.6
https://hg.python.org/cpython/rev/8e311f109b22
msg283939 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2016-12-24 10:55
Thanks for finding this Woo!
History
Date User Action Args
2016-12-24 10:55:17martin.pantersetstatus: open -> closed
versions: + Python 3.6, Python 3.7
messages: + msg283939

resolution: fixed
stage: resolved
2016-12-24 10:28:01python-devsetnosy: + python-dev
messages: + msg283935
2016-12-15 02:49:32berker.peksagsetnosy: + martin.panter
2016-12-13 02:22:46woo yoocreate